Jump to content
Respected

Invision Community 4.4 Nulled

Recommended Posts

Господа. А кто нибудь знает программу для линукса, которой можно рекурсивно проверить все php-файлы на формат конца строк и преобразовать в UNIX если будут найдены файлы из Windows?

Возможно моя проблема с установкой возникает из за того, что где-то затесалось парочка ASCII файлов с форматом конца строк из Windows. Маловероятно, что формат конца строк может вызвать фатальные ошибки при выполнении скриптов, но проверить стоит.

Share this post


Link to post
Share on other sites

Если сломалась рега:

Открыть файл applications/core/modules/front/system/register.php

Найти:

\IPS\Output::i()->output = $form->customTemplate( array( \IPS\Theme::i()->getTemplate( 'forms', 'core' ), 'popupRegisterTemplate' ), new \IPS\Login( \IPS\Http\Url::internal( 'app=core&module=system&controller=login', 'front', 'login' ), \IPS\Login::LOGIN_REGISTRATION_FORM ) );

Заменить на:

\IPS\Output::i()->output = $form->customTemplate( array( \IPS\Theme::i()->getTemplate( 'forms', 'core' ), 'popupRegisterTemplate' ), new \IPS\Login( \IPS\Http\Url::internal( 'app=core&module=system&controller=login', 'front', 'login' ), \IPS\Login::LOGIN_REGISTRATION_FORM ), $postBeforeRegister  );

 

Share this post


Link to post
Share on other sites
1 minute ago, Respected said:

Если сломалась рега:

Открыть файл applications/core/modules/front/system/register.php

Найти: 

\IPS\Output::i()->output = $form->customTemplate( array( \IPS\Theme::i()->getTemplate( 'forms', 'core' ), 'popupRegisterTemplate' ), new \IPS\Login( \IPS\Http\Url::internal( 'app=core&module=system&controller=login', 'front', 'login' ), \IPS\Login::LOGIN_REGISTRATION_FORM ) );

Заменить на:

\IPS\Output::i()->output = $form->customTemplate( array( \IPS\Theme::i()->getTemplate( 'forms', 'core' ), 'popupRegisterTemplate' ), new \IPS\Login( \IPS\Http\Url::internal( 'app=core&module=system&controller=login', 'front', 'login' ), \IPS\Login::LOGIN_REGISTRATION_FORM ), $postBeforeRegister  );

 

Many thank's this is the difference to v104012 from v104011? Regards

Share this post


Link to post
Share on other sites
3 часа назад, aplayer сказал:

А кто нибудь знает программу для линукса

dos2unix - преобразует виндовое в юниксовое, не задавая вопросов.

Share this post


Link to post
Share on other sites

Простите, по поводу  "сломавшейся реги" - это проблемма:

  1. Обновленного до 4.4.0 скрипта?
  2. Установленного с нуля  4.4.0 скрипта?
  3. Любой из случаев в версии 4.4.0 .
Edited by Ruskat

Share this post


Link to post
Share on other sites

на 4.4.1 слетели модули оплаты, сделал резервную копию базы и залил файлы с 4.4.0 обратно - все встало норм

Share this post


Link to post
Share on other sites
23 часа назад, Lafko сказал:

У меня слдетели модули оплаты после обновления до 4.4.1 подскажите как восстановить?
Screenshot_2.thumb.png.f503258ea7f0345f1dd1fad427e81924.png
Или может быть у кого-то есть
https://invisioncommunity.com/files/file/7658-robokassa-payment-gateway/ ?

Решение проблемы, для тех у кого слетели платежки в 4.4.1

Идем в /applications/nexus/sources/Gateway/Gateway.php

Ищем:

$classname = static::gateways()[ $data['m_gateway'] ];

Заменить на:

$classname = 'IPS\nexus\Gateway\\' . $data['m_gateway'];

 

Share this post


Link to post
Share on other sites
3 минуты назад, Respected сказал:

Мне кажется этот релиз не актуален.

сильно забагован. Платежные модули я оставил как было на 4.4.0, и реги исправил по твоему методу. В целом все сыро, ставил только из-за сео-оптимизации.

Share this post


Link to post
Share on other sites
4 минуты назад, fortek сказал:

сильно забагован. Платежные модули я оставил как было на 4.4.0, и реги исправил по твоему методу. В целом все сыро, ставил только из-за сео-оптимизации.

Любой баг правится) Критических нет, а мелки можно исправить в два клика. Платёжные модули нужно тоже обновлять, это не секрет, однако изменения там минимальны и при должной смекалке это не проблема.

Share this post


Link to post
Share on other sites

Respected 

Открыл я установочные фалы в netbeans и увидел такую картину:

Этот редактор имеет сканер синтаксических ошибок

Screenshot_20190307_155900.thumb.png.0695f37ea7bc50a3da58ccb1fb79b326.png

Тут явная синтаксическая ошибка в файле system/request.php на 569 строке. После исправления которой у меня запустилась установка.

Но проводник файлов этого редактора показывает, что в проекте еще очень много синтаксических ошибок:

Папки помеченные красными метками имеют синтаксические ошибки.

Screenshot_20190307_155944.png.792947aedcfaa129ccdb7e077552dc00.png

 

Share this post


Link to post
Share on other sites

php7.0

Я убрал вопросительный знак перед ?string $base = null и у меня заработала установка.

Для этого форума насколько мне известно нужен php5.6

 

а еще на http://php.net/manual/ru/migration70.new-features.php

$c = $a ?: 'a';
// $c is 'a'

Больше я там не заметил использования (: ?\$value)

А так да. Надо на 10 netbeans переходить. А то 8й наверно еще php4 синтаксис проверяет

Share this post


Link to post
Share on other sites
37 минут назад, aplayer сказал:

Для этого форума насколько мне известно нужен php5.6

Вы как всегда немного отстали от текущих реалий. Минимальная версия php - 7, а судя по обнуляймому типу и вовсе 7.1. В дистрибутиве форума должен быть файл для проверки совместимости ПО или при инсталле.

Синтаксической ошибки в коде нету. 

Share this post


Link to post
Share on other sites
Только что, siv1987 сказал:

В дистрибутиве форума должен быть файл для проверки совместимости ПО или при инсталле.

Ну не знаю. У меня при инсталле 500 ошибку выдает. PHP7.0. Убрал эти тренарные операторы и страница установки появилась.

Netbeans 10 на эту строку не ругается. В остальных случаях ругается только на коменты в json файлах.

Видимо 7.0 уже тоже устарела....

 

Share this post


Link to post
Share on other sites
37 минут назад, aplayer сказал:

Убрал эти тренарные операторы

Это не тернарный оператор, а обнуляемый тип значения. Появился в 7.1
https://invisioncommunity.com/files/file/7046-get-ready-for-ips-community-suite/

version_compare( PHP_VERSION, '7.1.0' )

 

Share this post


Link to post
Share on other sites
21 минуту назад, aplayer сказал:

Debian 10 выйдет

К этому времени появится php 7.5, а в десятке будет 7.2 по дефолту. Какая проблема накатить сейчас 7.2 и забыть про это хозяйство на пару лет?

Share this post


Link to post
Share on other sites

4.4.1 build 104014

104011 ->  104014  file(s) changed

"/applications/core/modules/front/system/register.php",
"/applications/nexus/interface/gateways/authorize.php",
"/system/Db/Db.php"

Share this post


Link to post
Share on other sites
9 hours ago, shinomura said:

4.4.1 build 104014

104011 ->  104014  file(s) changed

"/applications/core/modules/front/system/register.php",
"/applications/nexus/interface/gateways/authorize.php",
"/system/Db/Db.php"

changes  
104013 "an issue with MySQL read/write separation, and improves security in Commerce."
104014 "improves read/write MySQL separation stability."

Anyone can Share only this 3 file? many thank's

Share this post


Link to post
Share on other sites

Кстати да, нулл выложен, а важные фиксы, которые вышли после релиза - нет. Поделитесь, хочется что бы все как надо работало.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

  • Recently Browsing   0 members

    No registered users viewing this page.

×